<?php

/**
 * @author Ermek
 * @copyright Hire-Experts LLC
 * @version Wall 3.24
 */

$plugin_name = "Wall Plugin";
$plugin_version = "3.24";
$req_core_version = "3.02";
$plugin_type = "he_wall";
$plugin_desc = "This plugin allows your users to have Wall like on Facebook. It is a great tool which makes your site more interactive, your users have one point access to news feed and tools to post messages, share links, upload photos, music and videos. It is a paid plugin from Hire-Experts LLC. SocEngine.Ru";
$plugin_icon = "he_wall_post_icon.png";
$plugin_menu_title = "690706001";
$plugin_pages_main = "690706034<!>he_wall_post_icon.png<!>admin_wall.php<~!~>";
$plugin_pages_level = "690706035<!>admin_levels_wallsettings.php<~!~>";
$plugin_db_charset = 'utf8';
$plugin_db_collation = 'utf8_unicode_ci';
$plugin_reindex_totals = TRUE;

if( $install=="he_wall" )
{
//check core library
$sql = "SELECT `plugin_version` FROM `se_plugins` WHERE plugin_type='he_core' AND `plugin_disabled`=0 LIMIT 1";
$resource = $database->database_query($sql) or die($database->database_error()." <b>SQL was: </b>$sql");
$core_version = $database->database_fetch_array($resource);
if ( floatval($core_version[0]) < floatval($req_core_version) ) {
die ('This plugin requires Hire-Experts Core Library. Please install latest version of Hire-Experts Core Library plugin. You can download it from My Plugins section in Hire-Experts.com for FREE.');
}

    //######### GET CURRENT PLUGIN INFORMATION
    $sql = "SELECT * FROM se_plugins WHERE plugin_type='{$plugin_type}' LIMIT 1";
    $resource = $database->database_query($sql) or die($database->database_error()." <b>SQL was: </b>$sql");

    $plugin_info = array();
    if( $database->database_num_rows($resource) )
        $plugin_info = $database->database_fetch_assoc($resource);


    //######### INSERT ROW INTO se_plugins
    $sql = "SELECT NULL FROM se_plugins WHERE plugin_type='$plugin_type'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
      INSERT INTO se_plugins (
        plugin_name,
        plugin_version,
        plugin_type,
        plugin_desc,
        plugin_icon,
        plugin_menu_title,
        plugin_pages_main,
        plugin_pages_level,
        plugin_url_htaccess
      ) VALUES (
        '$plugin_name',
        '$plugin_version',
        '$plugin_type',
        '".str_replace("'", "\'", $plugin_desc)."',
        '$plugin_icon',
        '$plugin_menu_title',
        '$plugin_pages_main',
        '$plugin_pages_level',
        ''
      )
    ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }

    //######### UPDATE PLUGIN VERSION IN se_plugins
    else
    {
        $sql = "
        UPDATE
            se_plugins
        SET
            plugin_name='$plugin_name',
            plugin_version='$plugin_version',
            plugin_desc='".str_replace("'", "\'", $plugin_desc)."',
            plugin_icon='$plugin_icon',
            plugin_menu_title='$plugin_menu_title',
            plugin_pages_main='$plugin_pages_main',
            plugin_pages_level='$plugin_pages_level',
            plugin_url_htaccess=''
        WHERE
            plugin_type='$plugin_type'
    ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);


        $sql = "UPDATE `se_actions` SET `se_actions`.action_object_owner = 'user' WHERE `se_actions`.action_object_owner = 'userhome'";
        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }

    
    //######### CREATE se_he_uploads
    $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_uploads'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
            CREATE TABLE `se_he_uploads` (
              `uploads_id` int(10) unsigned NOT NULL auto_increment,
              `uploads_instance_id` int(11) NOT NULL,
              `uploads_instance_type` varchar(50) NOT NULL,
              `uploads_user_id` int(10) unsigned NOT NULL,
              `uploads_datecreated` int(10) unsigned NOT NULL,
              `uploads_title` varchar(255) NOT NULL,
              `uploads_filename` varchar(50) NOT NULL,
          PRIMARY KEY  (`uploads_id`),
          KEY `uploads_instance_id` (`uploads_instance_id`),
          KEY `uploads_user_id` (`uploads_user_id`)
            ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);    
    }

    
    //######### CREATE se_he_wall_comment
    $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_wall_comment'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
            CREATE TABLE `se_he_wall_comment` (
              `id` int(11) NOT NULL auto_increment,
              `action_id` int(11) NOT NULL,
              `author_id` int(11) NOT NULL,
              `post_stamp` int(11) NOT NULL,
              `text` text NOT NULL,
          PRIMARY KEY  (`id`),
          KEY `action_id` (`action_id`),
          KEY `author_id` (`author_id`)
            ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);    
    }
    
    
    //######### CREATE se_he_wall_hidden_action
    $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_wall_hidden_action'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
            CREATE TABLE `se_he_wall_hidden_action` (
              `user_id` int(11) NOT NULL,
              `action_id` int(11) NOT NULL,
              UNIQUE KEY `user_id` (`user_id`,`action_id`)
            ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);    
    }

    
    //######### CREATE se_he_wall_like
    $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_wall_like'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
            CREATE TABLE `se_he_wall_like` (
              `user_id` int(11) NOT NULL,
              `action_id` int(11) NOT NULL,
              `like_stamp` int(11) NOT NULL,
              UNIQUE KEY `user_id` (`user_id`,`action_id`)
            ) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);    
    }

    
    //######### CREATE se_he_wall_album
    $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_wall_album'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
CREATE TABLE `se_he_wall_album` (
  `user_id` int(11) NOT NULL,
  `album_id` int(11) NOT NULL,
  UNIQUE KEY `user_id` (`user_id`,`album_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);    
    }
    else
    {
        //UPDATE DATA
        
        $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_albums'";
        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
        
        if ( $database->database_num_rows($resource) )
        {
            $sql = "DELETE FROM `se_he_wall_album` WHERE `album_id` NOT IN (SELECT `album_id` FROM `se_albums`)";
            $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
        }
    }
    
    
    //######### CREATE se_he_wall_media_link
    $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_wall_media_link'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
CREATE TABLE `se_he_wall_media_link` (
  `user_id` int(11) NOT NULL,
  `media_id` int(11) NOT NULL,
  `action_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);    
    }
    
    
    //######### CREATE se_he_wall_music_link
    $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_wall_music_link'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
CREATE TABLE `se_he_wall_music_link` (
  `user_id` int(11) NOT NULL,
  `music_id` int(11) NOT NULL,
  `action_id` int(11) NOT NULL,
  UNIQUE KEY `user_id` (`user_id`,`music_id`,`action_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);    
    }
    
    
    //######### CREATE se_he_wall_video_link
    $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_wall_video_link'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
CREATE TABLE `se_he_wall_video_link` (
  `user_id` int(11) NOT NULL,
  `video_id` int(11) NOT NULL,
  `action_id` int(11) NOT NULL,
  UNIQUE KEY `user_id` (`user_id`,`video_id`,`action_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);    
    }
    
    
    //######### CREATE se_he_wall_group_media_link
    $sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_wall_group_media_link'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if( !$database->database_num_rows($resource) )
    {
        $sql = "
CREATE TABLE `se_he_wall_group_media_link` (
  `user_id` int(11) NOT NULL,
  `media_id` int(11) NOT NULL,
  `action_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
        ";

        $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);    
    }
    
    
    //######### ADD COLUMNS/VALUES TO SETTINGS TABLE
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_comments_per_page'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_comments_per_page` INTEGER(11) NOT NULL DEFAULT '5'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }

    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_actions_per_page'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_actions_per_page` INTEGER(11) NOT NULL DEFAULT '10'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }

    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_music_sync'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_music_sync` TINYINT(1) NOT NULL DEFAULT '1'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_photo_sync'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_photo_sync` TINYINT(1) NOT NULL DEFAULT '1'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_video_sync'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_video_sync` TINYINT(1) NOT NULL DEFAULT '1'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_permission'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_permission` TINYINT(1) NOT NULL DEFAULT '0'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_guest_view'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_guest_view` TINYINT(1) NOT NULL DEFAULT '1'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_photo_width'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_photo_width` INTEGER(11) NOT NULL DEFAULT '700'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_photo_height'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_photo_height` INTEGER(11) NOT NULL DEFAULT '700'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_photo_thumb_width'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_photo_thumb_width` INTEGER(11) NOT NULL DEFAULT '150'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_photo_thumb_height'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_photo_thumb_height` INTEGER(11) NOT NULL DEFAULT '100'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_photo_filesize'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_photo_filesize` INTEGER(11) NOT NULL DEFAULT '8192'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_photo_exts'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_photo_exts` TEXT NOT NULL";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
      
      $sql = "UPDATE `se_settings` SET `setting_he_wall_photo_exts`='jpg, gif, jpeg, png, bmp, mp3, mpeg, avi, mpa, mov, qt, swf'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_photo_mimes'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_photo_mimes` TEXT NOT NULL";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
          
      $sql = "UPDATE `se_settings` SET `setting_he_wall_photo_mimes`='image/jpeg, image/pjpeg, image/jpg, image/jpe, image/pjpg, image/x-jpeg, image/x-jpg, image/gif, image/x-gif, image/png, image/x-png, image/bmp, audio/mpeg, video/mpeg, video/x-msvideo, video/avi, video/quicktime, application/x-shockwave-flash'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_music_filesize'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_music_filesize` INTEGER(11) NOT NULL DEFAULT '8192'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_music_exts'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_music_exts` TEXT NOT NULL";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
      
      $sql = "UPDATE `se_settings` SET `setting_he_wall_music_exts`='mp3, mp4'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_music_mimes'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_music_mimes` TEXT NOT NULL";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
          
      $sql = "UPDATE `se_settings` SET `setting_he_wall_music_mimes`='audio/mpeg, audio/x-wav, application/octet-stream, audio/x-mp3, audio/mpeg3, audio/x-mpeg-3, video/mpeg, video/x-mpeg, audio/x-mpeg, audio/mp3, audio/x-mpeg3, audio/mpg, audio/x-mpg, audio/x-mpegaudio, content/unknown'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_video_player_width'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_video_player_width` INTEGER(11) NOT NULL DEFAULT '454'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_video_player_height'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_video_player_height` INTEGER(11) NOT NULL DEFAULT '386'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_video_thumb_width'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_video_thumb_width` INTEGER(11) NOT NULL DEFAULT '150'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_video_thumb_height'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_video_thumb_height` INTEGER(11) NOT NULL DEFAULT '100'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_lastupdated'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_lastupdated` INTEGER(11) NOT NULL";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    $sql = "SHOW COLUMNS FROM `$database_name`.`se_settings` LIKE 'setting_he_wall_disable_music'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    if( !$database->database_num_rows($resource) )
    {
      $sql = "ALTER TABLE `se_settings` ADD COLUMN `setting_he_wall_disable_music` TINYINT(1) NOT NULL DEFAULT '0'";
      $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    }
    
    //######## ADDD COLUMNS/VALUES TO se_levels
    $sql = "SHOW COLUMNS FROM `".$database_name."`.`se_levels` LIKE 'level_wall_allowed'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
     
    if ( !$database->database_num_rows($resource) )
    {
        $sql = "ALTER TABLE `se_levels` ADD COLUMN `level_wall_allowed` TINYINT(1) NOT NULL DEFAULT '1'";
          $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql); 
    }
    
    $sql = "SHOW COLUMNS FROM `".$database_name."`.`se_levels` LIKE 'level_wall_action_privacy'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
     
    if ( !$database->database_num_rows($resource) )
    {
        $sql = "ALTER TABLE `se_levels` ADD COLUMN `level_wall_action_privacy` varchar(255) NOT NULL default 'a:5:{i:0;s:2:\"63\";i:1;s:2:\"31\";i:2;s:2:\"15\";i:3;s:1:\"7\";i:4;s:1:\"3\";}'";
          $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql); 
    }
    
    
    //######## ADDD COLUMNS/VALUES TO se_usersettings
    $sql = "SHOW COLUMNS FROM `".$database_name."`.`se_usersettings` LIKE 'usersetting_notify_wallpost'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
     
    if ( !$database->database_num_rows($resource) )
    {
        $sql = "ALTER TABLE `se_usersettings` ADD COLUMN `usersetting_notify_wallpost` TINYINT(1) NOT NULL DEFAULT '1'";
          $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql); 
    }
    
    $sql = "SHOW COLUMNS FROM `".$database_name."`.`se_usersettings` LIKE 'usersetting_notify_wallactioncomment'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
     
    if ( !$database->database_num_rows($resource) )
    {
        $sql = "ALTER TABLE `se_usersettings` ADD COLUMN `usersetting_notify_wallactioncomment` TINYINT(1) NOT NULL DEFAULT '1'";
          $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql); 
    }
    
    $sql = "SHOW COLUMNS FROM `".$database_name."`.`se_usersettings` LIKE 'usersetting_notify_wallactionlike'";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
     
    if ( !$database->database_num_rows($resource) )
    {
        $sql = "ALTER TABLE `se_usersettings` ADD COLUMN `usersetting_notify_wallactionlike` TINYINT(1) NOT NULL DEFAULT '1'";
          $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql); 
    }
    

    // CONVERT ACTIONS
    $sql = "SELECT NULL FROM `se_actiontypes` WHERE `actiontype_name` IN ('wallpost', 'wallpostlink', 'wallpostmusic', 'wallpostphoto', 'wallpostvideo')";
    $resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

    if ( $database->database_num_rows($resource) ) {
        include_once '../include/functions_he_wall.php';
        
        he_wall_convert_actions('wallpost', 3);
        he_wall_convert_actions('wallpostlink', 5);
        he_wall_convert_actions('wallpostmusic', 5);
        he_wall_convert_actions('wallpostphoto', 3);
        he_wall_convert_actions('wallpostvideo', 5);
    }
    

    //######### ADD VALUES TO ACTION TYPES TABLE
    $wall_action_types = array();

    $wall_action_types[] = array(
        'actiontype_name' => 'wallpost',
        'actiontype_icon' => 'he_wall_post_icon.png',
        'actiontype_setting' => '1',
        'actiontype_enabled' => '1',
        'actiontype_desc' => '690706012',
        'actiontype_text' => '690706013',
        'actiontype_vars' => '[username],[displayname],[post],[link]',
        'actiontype_media' => '0'
    );

    $wall_action_types[] = array(
        'actiontype_name' => 'wallpostlink',
        'actiontype_icon' => 'he_wall_link_icon.png',
        'actiontype_setting' => '1',
        'actiontype_enabled' => '1',
        'actiontype_desc' => '690706030',
        'actiontype_text' => '690706014',
        'actiontype_vars' => '[username],[displayname],[post],[url],[label],[link]',
        'actiontype_media' => '0'
    );

    $wall_action_types[] = array(
        'actiontype_name' => 'wallpostmusic',
        'actiontype_icon' => 'he_wall_music_icon.png',
        'actiontype_setting' => '1',
        'actiontype_enabled' => '1',
        'actiontype_desc' => '690706031',
        'actiontype_text' => '690706016',
        'actiontype_vars' => '[username],[displayname],[post],[title],[player],[link]',
        'actiontype_media' => '0'
    );

    $wall_action_types[] = array(
        'actiontype_name' => 'wallpostphoto',
        'actiontype_icon' => 'he_wall_photo_icon.png',
        'actiontype_setting' => '1',
        'actiontype_enabled' => '1',
        'actiontype_desc' => '690706032',
        'actiontype_text' => '690706033',
        'actiontype_vars' => '[username],[displayname],[post],[link]',
        'actiontype_media' => '1'
    );

    $wall_action_types[] = array(
        'actiontype_name' => 'wallpostvideo',
        'actiontype_icon' => 'he_wall_video_icon.gif',
        'actiontype_setting' => '1',
        'actiontype_enabled' => '1',
        'actiontype_desc' => '690706075',
        'actiontype_text' => '690706076',
        'actiontype_vars' => '[username],[displayname],[post],[player],[info],[link]',
        'actiontype_media' => '0'
    );
    
    $sql = "ALTER TABLE `se_usersettings` CHANGE `usersetting_actions_display` `usersetting_actions_display` TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL";
    $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
    
    foreach ( $wall_action_types as $wall_action_type )
    {
        $res = $database->database_query("SELECT `actiontype_id` FROM `se_actiontypes` 
            WHERE `actiontype_name`='{$wall_action_type['actiontype_name']}' LIMIT 1");

        $actiontype = $database->database_fetch_assoc($res);
        $actiontype_id = (int)$actiontype['actiontype_id'];

        if ( $actiontype_id == 0 )
        {
            $sql = "INSERT INTO `se_actiontypes`
                (
                  `actiontype_name`,
                  `actiontype_icon`,
                  `actiontype_setting`,
                  `actiontype_enabled`,
                  `actiontype_desc`,
                  `actiontype_text`,
                  `actiontype_vars`,
                  `actiontype_media`
                )
                VALUES (
                  '{$wall_action_type['actiontype_name']}',
                  '{$wall_action_type['actiontype_icon']}',
                  {$wall_action_type['actiontype_setting']},
                  {$wall_action_type['actiontype_enabled']},
                  {$wall_action_type['actiontype_desc']},
                  {$wall_action_type['actiontype_text']},
                  '{$wall_action_type['actiontype_vars']}',
                  {$wall_action_type['actiontype_media']}
                )";

             $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

            $actiontype_id = $database->database_insert_id();
        }
        else
        {
            $sql = "UPDATE `se_actiontypes`
                SET 
                  `actiontype_icon`='{$wall_action_type['actiontype_icon']}',
                  `actiontype_setting`='{$wall_action_type['actiontype_setting']}',
                  `actiontype_enabled`='{$wall_action_type['actiontype_enabled']}',
                  `actiontype_desc`='{$wall_action_type['actiontype_desc']}',
                  `actiontype_text`='{$wall_action_type['actiontype_text']}',
                  `actiontype_vars`='{$wall_action_type['actiontype_vars']}',
                  `actiontype_media`='{$wall_action_type['actiontype_media']}'
                WHERE `actiontype_name`='{$wall_action_type['actiontype_name']}'";

            $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
        }

        
        if ( $actiontype_id )
        {
            $database->database_query("UPDATE `se_usersettings`
                SET `usersetting_actions_display` = CONCAT(`usersetting_actions_display`, ',', '" . $actiontype_id . "')");
        }
    }
    
    
    //######### ADD VALUES TO ACTION TYPES TABLE
    $wall_system_emails = array();
    
    $wall_system_emails[] = array(
        'systememail_name' => 'wallpost', 
        'systememail_title' => '690706082', 
        'systememail_desc' => '690706083', 
        'systememail_subject' => '690706084', 
        'systememail_body' => '690706085', 
        'systememail_vars' => '[displayname],[commenter],[link]' 
    );
    
    $wall_system_emails[] = array(
        'systememail_name' => 'wallactioncomment', 
        'systememail_title' => '690706086', 
        'systememail_desc' => '690706087', 
        'systememail_subject' => '690706088', 
        'systememail_body' => '690706089', 
        'systememail_vars' => '[displayname],[commenter],[link]'
    );
    
    $wall_system_emails[] = array(
        'systememail_name' => 'wallactionlike', 
        'systememail_title' => '690706090', 
        'systememail_desc' => '690706091', 
        'systememail_subject' => '690706092', 
        'systememail_body' => '690706093', 
        'systememail_vars' => '[displayname],[commenter],[link]'
    );
    
    foreach ( $wall_system_emails as $wall_system_email )
    {
        $res = $database->database_query("SELECT `systememail_id` FROM `se_systememails`
            WHERE `systememail_name`='{$wall_system_email['systememail_name']}' LIMIT 1");
        
        $systememail = $database->database_fetch_assoc($res);
        $systememail_id = (int)$systememail['systememail_id'];

        if ( $systememail_id == 0 )
        {
            $sql = "INSERT INTO `se_systememails`
                (
                  `systememail_name`,
                  `systememail_title`,
                  `systememail_desc`,
                  `systememail_subject`,
                  `systememail_body`,
                  `systememail_vars`
                )
                VALUES (
                  '{$wall_system_email['systememail_name']}',
                  {$wall_system_email['systememail_title']},
                  {$wall_system_email['systememail_desc']},
                  {$wall_system_email['systememail_subject']},
                  {$wall_system_email['systememail_body']},
                  '{$wall_system_email['systememail_vars']}'
                )";

            $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
            
            $systememail_id = $database->database_insert_id();
        }
        else
        {
            $sql = "UPDATE `se_systememails`
                SET 
                  `systememail_title`={$wall_system_email['systememail_title']},
                  `systememail_desc`={$wall_system_email['systememail_desc']},
                  `systememail_subject`={$wall_system_email['systememail_subject']},
                  `systememail_body`={$wall_system_email['systememail_body']},
                  `systememail_vars`='{$wall_system_email['systememail_vars']}'
                WHERE `systememail_name`='{$wall_system_email['systememail_name']}'";

            $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
        }
    }
    
    $wall_notify_types = array();
    
    $wall_notify_types[] = array(
        'notifytype_name' => 'wallpost',
        'notifytype_desc' => '690706094',
        'notifytype_icon' => 'he_wall_post_icon.png',
        'notifytype_url' => 'wall_action.php?id=%2\$s',
        'notifytype_title' => '690706095',
        'notifytype_group' => 0
    );
    
    $wall_notify_types[] = array(
        'notifytype_name' => 'wallactioncomment',
        'notifytype_desc' => '690706096',
        'notifytype_icon' => 'he_wall_post_icon.png',
        'notifytype_url' => 'wall_action.php?id=%2\$s',
        'notifytype_title' => '690706097',
        'notifytype_group' => 0
    );
    
    $wall_notify_types[] = array(
        'notifytype_name' => 'wallactionlike',
        'notifytype_desc' => '690706098',
        'notifytype_icon' => 'he_wall_post_icon.png',
        'notifytype_url' => 'wall_action.php?id=%2\$s',
        'notifytype_title' => '690706099',
        'notifytype_group' => 0
    );
    
    foreach ( $wall_notify_types as $wall_notify_type )
    {
        $res = $database->database_query("SELECT `notifytype_id` FROM `se_notifytypes`
            WHERE `notifytype_name`='{$wall_notify_type['notifytype_name']}' LIMIT 1");
        
        $notify_type = $database->database_fetch_assoc($res);
        $notify_type_id = (int)$notify_type['notifytype_id'];

        if ( $notify_type_id == 0 )
        {
            $sql = "INSERT INTO `se_notifytypes`
                (
                  `notifytype_name`,
                  `notifytype_desc`,
                  `notifytype_icon`,
                  `notifytype_url`,
                  `notifytype_title`,
                  `notifytype_group`
                )
                VALUES (
                  '{$wall_notify_type['notifytype_name']}',
                  {$wall_notify_type['notifytype_desc']},
                  '{$wall_notify_type['notifytype_icon']}',
                  '{$wall_notify_type['notifytype_url']}',
                  {$wall_notify_type['notifytype_title']},
                  {$wall_notify_type['notifytype_group']}
                )";

            $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
            
            $notify_type_id = $database->database_insert_id();
        }
        else
        {
            $sql = "UPDATE `se_notifytypes`
                SET 
                  `notifytype_desc`={$wall_notify_type['notifytype_desc']},
                  `notifytype_icon`='{$wall_notify_type['notifytype_icon']}',
                  `notifytype_url`='{$wall_notify_type['notifytype_url']}',
                  `notifytype_title`={$wall_notify_type['notifytype_title']},
                  `notifytype_group`={$wall_notify_type['notifytype_group']}
                WHERE `notifytype_name`='{$wall_notify_type['notifytype_name']}'";

            $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
        }
    }

    //######### ADD VALUES TO LANGS TABLE
    $he_languagevars = array
    (
        '690706002' => 'Wall',
        '690706003' => '%1$s like this.',
        '690706004' => '%1$s likes this.',
        '690706005' => 'You',
        '690706006' => '%1$s and %2$s',
        '690706007' => '%1$s people',
        '690706008' => 'Like',
        '690706009' => 'Unlike',
        '690706010' => 'Write a comment...',
        '690706011' => 'Are you sure you want to delete this comment?',
        '690706012' => 'Posting in a Wall',
        '690706013' => '<a href="profile.php?user=%1$s">%2$s</a> %4$s %3$s',
        '690706014' => '<a href="profile.php?user=%1$s">%2$s</a> %6$s %3$s <a href="%4$s" target="_blank">%5$s</a>',
        '690706015' => '%1$d Comments Found',
        '690706016' => '<a href="profile.php?user=%1$s">%2$s</a> %6$s %3$s <br/><b>%4$s</b> %5$s',
        '690706017' => 'View all %1$s comments',
        '690706018' => 'Comment',
        '690706019' => 'View older comments',
        '690706020' => 'Delete',
        '690706021' => 'hide',
        '690706022' => 'Delete',
        '690706023' => 'Attach: ',
        '690706024' => 'Photo',
        '690706025' => 'Link',
        '690706026' => 'Music',
        '690706027' => 'URL: ',
        '690706028' => 'Older Posts',
        '690706029' => 'There are no more information available.',
        '690706030' => 'Posted links on the wall',
        '690706031' => 'Posted music on the wall',
        '690706032' => 'Posted photos on the wall',
        '690706033' => '<a href="profile.php?user=%1$s">%2$s</a> %4$s %3$s <div class="recentaction_div_media">[media]</div>',
        '690706034' => 'Wall Plugin',
        '690706035' => 'Wall Settings',
        '690706036' => 'Comments per page',
        '690706037' => 'Actions per page',
        '690706038' => 'of',
        '690706039' => 'Submit',
        '690706040' => 'Hide',
        '690706041' => 'Cancel',
        '690706042' => 'Submit',
        '690706043' => 'Submit',
        '690706045' => 'Back to Wall',
        '690706046' => 'Wall plugin settings',
        '690706047' => 'Here you can edit wall settings. You can edit how many actions or comments are shown in the wall. Also you can control if Wall photos/music/videos will be synchronized with appropriate plugins. Wall doesn\'t require these plugins, it just allows you to synchronize content if you have such plugins.<br /> How synchronization works:<br />- when synchronization is turned on for photos, posted photos will be added to sender\'s "Wall Photos" photo album.<br />- when synchronization is turned on for music, posted music will be added to senders music<br />- when synchronization is turned on for video, youtube videos will be added to sender videos<br /><i>It is a paid plugin from Hire-Experts.com</i><br /><b>Below you can see settings for videos, photos and music. But NOTE: if you have enabled synhronization then wall will not use these settings because they have lower priority than Video, Music, Photo plugin settings.</b>',
        '690706048' => 'Profile Wall',
        '690706049' => 'News Feed',
        '690706050' => 'remove',
        '690706051' => 'Remove',
        '690706052' => 'close',
    
        // VERSION 3.20
            
        '690706053' => 'This page contains "Wall" plugin settings. Here you can allow users with this user level to use "Wall" plugin and edit privacy settings.',
        '690706054' => 'Allow "Wall" plugin?',
        '690706055' => 'If set to "Yes" users can use this plugin. ',
        '690706056' => 'Yes, users can use "Wall" plugin.',
        '690706057' => 'No, users cannot use "Wall" plugin.',
        '690706058' => 'Text max length exceeded',
        '690706059' => 'Wall Privacy Options',
        '690706060' => 'Wall Activity Privacy Options',
        '690706061' => 'Your users can choose from any of the options checked below when they decide who can see their activities. If you do not check any options, everyone will be allowed to view activities.',
        '690706062' => 'Synchronize wall music with Music Plugin',
        '690706063' => 'Synchronize wall photo with Photo Album Plugin',
        '690706064' => 'Wall Photos',
        '690706065' => 'This album contains photos posted on the wall',
        '690706066' => 'You cannot upload music. Please upgrade your membership.',
        '690706067' => 'You cannot upload photos. Please upgrade your membership.',
        '690706068' => 'Video',
        '690706069' => 'Choose Source',
        '690706070' => 'YouTube',
        '690706071' => 'Vimeo',
        '690706072' => 'Please choose video source.',
        '690706073' => 'Please type video URL.',
        '690706074' => 'Please check the URL and try again.',
        '690706075' => 'Posted videos on the wall',
        '690706076' => '<a href="profile.php?user=%1$s">%2$s</a> %6$s %3$s <br/> %4$s %5$s',
        '690706077' => 'Synchronize wall video(YouTube) with Video Plugin',
        '690706078' => 'You cannot upload videos. Please upgrade your membership.',
        '690706079' => 'more',
        '690706080' => 'Privacy',
        '690706081' => 'You do not have permission to view this action',
        '690706082' => 'New wall post Email',
        '690706083' => 'This is the email that gets sent to a user when a new post is posted on their wall.',
        '690706084' => 'New Wall Post',
        '690706085' => 'Hello %1$s, A new post has been posted on your wall by %2$s. Please click the following link to view it: %3$s',
        '690706086' => 'New wall comment Email',
        '690706087' => 'This is the email that gets sent to a user when a new comment is posted on their wall posts.',
        '690706088' => 'New Wall Comment',
        '690706089' => 'Hello %1$s, A new comment has been posted on your post by %2$s. Please click the following link to view it: %3$s',
        '690706090' => 'New wall likes Email',
        '690706091' => 'This is the email that gets sent to a user when somebody likes their wall posts.',
        '690706092' => 'New Wall Likes',
        '690706093' => 'Hello %1$s, %2$s likes your post. Please click the following link to view it: %3$s',
        '690706094' => '%1$d New Wall Post(s)',
        '690706095' => 'When a new post is posted on my wall',
        '690706096' => '%1$d commented your post',
        '690706097' => 'When somebody commented my post on the wall',
        '690706098' => '%1$d likes your post',
        '690706099' => 'When somebody likes my post on the wall',
        '690706100' => 'Wall',
        '690706101' => 'You do not have permission to upload group photos.',
        '690706102' => 'You do not have permission to view news feed.',
        '690706103' => 'Wall Snippet Code',
        '690706104' => 'Now you can show wall on any SocialEngine standard page by just putting our special <b>snippet code in yellow colored box</b>. You can open a page template and put snippet code in place where you wanted, for example, you can show wall in User Home:<br />- open `<code>templates/user_home.tpl</code>`  (OR `<code>templates/user_home_core_newsfeed.tpl</code>` if you use Apps & Widgets plugin from SocialEngineMods)<br />- find text like in <u>red colored box</u> and replace it by <u>snippet code in yellow colored box</u><br />- thats\'s all, save changes.<br /><br /> If you experience problems then you can use our Professional Plugin Installation service - <a href="http://www.hire-experts.com/services.php">http://www.hire-experts.com/services.php</a>',

         // VERSION 3.21
        '690706105' => 'Allow guests to view wall',
        '690706106' => '<span class="wall_link">> <a href="%1$s" target="_blank">%2$s</a>: </span>',
        '690706107' => 'Wall Video Settings',
        '690706108' => 'Enter the size of the video player.',
        '690706109' => 'Width:',
        '690706110' => 'Height:',
        '690706111' => 'px',
        '690706112' => 'Enter the size of the thumbnail.',
        '690706113' => 'Wall Photo Settings',
        '690706114' => 'Enter the maximum size of the photo.',
        '690706115' => 'Enter the size of the photo thumbnail.',
        '690706116' => 'Maximum Filesize',
        '690706117' => 'Enter the maximum filesize for uploaded files in KB.',
        '690706118' => 'KB',
        '690706119' => 'Allowed File Types',
        '690706120' => 'List the following file extensions that users are allowed to upload. Separate file extensions with commas, for example: jpg, gif, jpeg, png, bmp',
        '690706121' => 'Allowed MIME Types',
        '690706122' => 'To successfully upload a file, the file must have an allowed filetype extension as well as an allowed MIME type. This prevents users from disguising malicious files with a fake extension. Separate MIME types with commas, for example: image/jpeg, image/gif, image/png, image/bmp',
        '690706123' => 'Wall Music Settings',
        '690706124' => 'Maximum Filesize',
        '690706125' => 'Enter the maximum filesize for uploaded files in KB.',
        '690706126' => 'Allowed File Types',
        '690706127' => 'List the following file extensions that users are allowed to upload. Separate file extensions with commas, for example: mp3, mp4',
        '690706128' => 'Allowed MIME Types',
        '690706129' => 'To successfully upload a file, the file must have an allowed filetype extension as well as an allowed MIME type. This prevents users from disguising malicious files with a fake extension. Separate MIME types with commas, for example: image/jpeg, image/gif, image/png, image/bmp',
        '690706130' => 'show / hide',
    
        '690706131' => 'You do not have permission to upload page media.',
        '690706132' => 'Please type action message',
        '690706133' => 'Please login to continue',
        '690706179' => 'Disable music uploading in wall',
        '690706196' => 'Group Wall'
    );

    foreach ($he_languagevars as $langvar_id => $langvar_value)
    {
        $sql = "SELECT `languagevar_id` FROM `se_languagevars`
           WHERE `languagevar_id`=$langvar_id AND `languagevar_language_id`=1";

        $langvar_value = $database->database_real_escape_string($langvar_value);
        if ( $database->database_num_rows($database->database_query($sql)) == 0 )
        {
            $sql = "INSERT INTO `se_languagevars` (`languagevar_id`, `languagevar_language_id`, `languagevar_value`, `languagevar_default`)
                VALUES('$langvar_id', '1', '$langvar_value', 'wall')";
        }
        else
        {
            $sql = "UPDATE `se_languagevars` SET `languagevar_value`='$langvar_value', `languagevar_default`='wall'
                WHERE `languagevar_id`=$langvar_id AND `languagevar_language_id`=1";
        }

        $resource = $database->database_query($sql) or die("<b>Error: </b>" . $database->database_error() . "<br /><b>File: </b>" . __FILE__ . "<br /><b>Line: </b>" . __LINE__ . "<br /><b>Query: </b>" . $sql);
    }
}
